<?php
/*
Plugin Name: Sechs Zufallszahlen
Plugin URI: 
Description: Sechs Zufallszahlen von 1 bis 49
Version: 0.1
Author: cc-juno.de
Author URI: http://www.cc-juno.de
License: GPLv3
*/

class six_random_numbers extends WP_Widget {
  function six_random_numbers() {
    $widget_ops = array('classname' => 'six_random_numbers', 'discription' => 'Sechs Zufallszahlen von 1 bis 49');
    $this->WP_Widget('six_random_numbers','6 Zufallszahlen von 1 bis 49', $widget_ops);
  }

  function widget($args, $instance) {
    extract($args);
    $title = apply_filters('widget_title',$instance['title']);
    echo $before_widget;
    if ($title) { echo $before_title . $title . $after_title; }

    $numberlist = range(1,49);  // Liste erstellen mit Zahlen von 1 bis 49
    shuffle($numberlist);  // Liste mischen
    for ($i=0; $i<=5; $i++) { $rand_nr[$i] = $numberlist[$i]; }  // Die ersten 6 Zahlen in eine neue Liste schreiben
    sort($rand_nr);  // die 6 Zufallszahlen sortieren
    foreach ($rand_nr as $value) { echo "$value "; }  // die 6 geordneten Zufallszahlen ausgeben

    echo $after_widget; 
  }

  function update($new_instance, $old_instance) { 
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    return $instance;

  }

  function form($instance) { 
    $title = esc_attr($instance['title']);
    ?><p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p><?php
  }

}

add_action('widgets_init', create_function('', 'return register_widget("six_random_numbers");'));

?>
